Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netscape.security
Class PrivilegeManager

    java.lang.Object
      netscape.security.PrivilegeManager

    public final class PrivilegeManager

extends java.lang.Object

Field Summary
`static int` | `EQUAL`
`static int` | `NO_SUBSET`
`static int` | `PROPER_SUBSET`

Constructor Summary
`PrivilegeManager()`

Method Summary
`boolean` | `checkMatchPrincipal(java.lang.Class cl)`
`boolean` | `checkMatchPrincipal(java.lang.Class cl, int callerDepth)`
`boolean` | `checkMatchPrincipal(Principal prin, int callerDepth)`
`boolean` | `checkMatchPrincipalAlways()`
`static void` | `checkPrivilegeEnabled(java.lang.String targetStr)`
`void` | `checkPrivilegeEnabled(Target target)`
`void` | `checkPrivilegeEnabled(Target target, java.lang.Object data)`
`static void` | `checkPrivilegeGranted(java.lang.String targetStr)`
`void` | `checkPrivilegeGranted(Target target)`
`void` | `checkPrivilegeGranted(Target target, java.lang.Object data)`
`void` | `checkPrivilegeGranted(Target target, Principal prin, java.lang.Object data)`
`int` | `comparePrincipalArray(Principal[] p1, Principal[] p2)`
`static void` | `disablePrivilege(java.lang.String targetStr)`
`void` | `disablePrivilege(Target target)`
`static void` | `enablePrivilege(java.lang.String targetStr)`
`void` | `enablePrivilege(Target target)`
`void` | `enablePrivilege(Target target, Principal prefPrin)`
`void` | `enablePrivilege(Target target, Principal prefPrin, java.lang.Object data)`
`Principal[]` | `getClassPrincipals(java.lang.Class cl)`
`Principal[]` | `getClassPrincipalsFromStack(int callerDepth)`
`static Principal[]` | `getMyPrincipals()`
`static PrivilegeManager` | `getPrivilegeManager()`
`PrivilegeTable` | `getPrivilegeTableFromStack()`
`static Principal` | `getSystemPrincipal()`
`boolean` | `hasPrincipal(java.lang.Class cl, Principal prin)`
`boolean` | `isCalledByPrincipal(Principal prin)`
`boolean` | `isCalledByPrincipal(Principal prin, int callerDepth)`
`static void` | `revertPrivilege(java.lang.String targetStr)`
`void` | `revertPrivilege(Target target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPER_SUBSET

    public static final int PROPER_SUBSET

See Also:
  Constant Field Values

### EQUAL

    public static final int EQUAL

See Also:
  Constant Field Values

### NO_SUBSET

    public static final int NO_SUBSET

See Also:
  Constant Field Values

Constructor Detail

### PrivilegeManager

    public PrivilegeManager()

Method Detail

### checkPrivilegeEnabled

    public void checkPrivilegeEnabled(Target target)

### checkPrivilegeEnabled

    public void checkPrivilegeEnabled(Target target,
                                      java.lang.Object data)

### checkPrivilegeEnabled

    public static void checkPrivilegeEnabled(java.lang.String targetStr)

### enablePrivilege

    public static void enablePrivilege(java.lang.String targetStr)

### enablePrivilege

    public void enablePrivilege(Target target)

### enablePrivilege

    public void enablePrivilege(Target target,
                                Principal prefPrin)

### enablePrivilege

    public void enablePrivilege(Target target,
                                Principal prefPrin,
                                java.lang.Object data)

### revertPrivilege

    public void revertPrivilege(Target target)

### revertPrivilege

    public static void revertPrivilege(java.lang.String targetStr)

### disablePrivilege

    public void disablePrivilege(Target target)

### disablePrivilege

    public static void disablePrivilege(java.lang.String targetStr)

### checkPrivilegeGranted

    public static void checkPrivilegeGranted(java.lang.String targetStr)

### checkPrivilegeGranted

    public void checkPrivilegeGranted(Target target)

### checkPrivilegeGranted

    public void checkPrivilegeGranted(Target target,
                                      java.lang.Object data)

### checkPrivilegeGranted

    public void checkPrivilegeGranted(Target target,
                                      Principal prin,
                                      java.lang.Object data)

### isCalledByPrincipal

    public boolean isCalledByPrincipal(Principal prin,
                                       int callerDepth)

### isCalledByPrincipal

    public boolean isCalledByPrincipal(Principal prin)

### getSystemPrincipal

    public static Principal getSystemPrincipal()

### getPrivilegeManager

    public static PrivilegeManager getPrivilegeManager()

### getMyPrincipals

    public static Principal[] getMyPrincipals()

### getClassPrincipals

    public Principal[] getClassPrincipals(java.lang.Class cl)

### hasPrincipal

    public boolean hasPrincipal(java.lang.Class cl,
                                Principal prin)

### comparePrincipalArray

    public int comparePrincipalArray(Principal[] p1,
                                     Principal[] p2)

### checkMatchPrincipal

    public boolean checkMatchPrincipal(java.lang.Class cl,
                                       int callerDepth)

### checkMatchPrincipal

    public boolean checkMatchPrincipal(Principal prin,
                                       int callerDepth)

### checkMatchPrincipal

    public boolean checkMatchPrincipal(java.lang.Class cl)

### checkMatchPrincipalAlways

    public boolean checkMatchPrincipalAlways()

### getClassPrincipalsFromStack

    public Principal[] getClassPrincipalsFromStack(int callerDepth)

### getPrivilegeTableFromStack

    public PrivilegeTable getPrivilegeTableFromStack()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD